Mark a message as read▾
POST

Mark a message as read

Send read receipts for inbound messages.

Marking an inbound message read shows the blue ticks on the contact's device. Only inbound messages can be marked; calling this on an outbound message returns 400.

POST/v1/messages/{id}/read

Path parameters

idstringrequired

Inbound message id or wamid.

curl -X POST https://api.sendport.tech/v1/messages/{id}/read \
  -H "Authorization: Bearer $SENDPORT_KEY"

Responses

200OK
{
  "object": "message",
  "id": "msg_01JZQ3F8X2K7N4B6Y0R9M5TCWA",
  "read": true
}
401Unauthorized
{
  "error": {
    "type": "authentication_error",
    "code": "missing_api_key",
    "message": "No API key provided.",
    "doc_url": "https://sendport.tech/docs/errors#missing_api_key",
    "request_id": "req_9f3c2a7b41de08c5b2e6"
  }
}
Try itsandbox